commit:     458e545998cab4ba65fee842301ec713e334ad97
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 19 13:59:49 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 14:01:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=458e5459

www-apache/mod_gnutls: bump to v0.11.0

Bug: https://bugs.gentoo.org/645186
Closes: https://bugs.gentoo.org/645186
Package-Manager: Portage-3.0.3, Repoman-3.0.0
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 www-apache/mod_gnutls/Manifest                 |  1 +
 www-apache/mod_gnutls/mod_gnutls-0.11.0.ebuild | 87 ++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/www-apache/mod_gnutls/Manifest b/www-apache/mod_gnutls/Manifest
index 0690674947f..0dc2ef913f3 100644
--- a/www-apache/mod_gnutls/Manifest
+++ b/www-apache/mod_gnutls/Manifest
@@ -1,3 +1,4 @@
+DIST mod_gnutls-0.11.0.tar.bz2 458966 BLAKE2B 
6d81be7b7d48255173d028a8e3207badbce0c1ba541124a241b63d4ed4eb36833156e9cd7194318138b6f16667a971d5311d56b9b0036e5b3d9dac8d352a4335
 SHA512 
090d244823f15a6b23dd2ad9b35db202ebbe96210ec8fd06e06f13e32c327e9d9a449834c899755f1ec8c1a3a71db1b125d436ce661caee1002a8719b4c1320e
 DIST mod_gnutls-0.8.2.tar.bz2 415903 BLAKE2B 
98c96479e2419ee511ba802c99823ddaae89ddeb7a2f0660b91e2a371f8249ec4f98b2c0443389168a22dbe133b0bcc6020bfa597447507a8e4f91827b6d1d24
 SHA512 
b1690aeee4f6d104e4b6a7bd443e289204630b33e00b7b145b11291d8819b5c3d5bd52b535746b8ebdfee7a5f34df527243b743b8c5d716b1d0617e319d43f4d
 DIST mod_gnutls-0.8.4.tar.bz2 422811 BLAKE2B 
33b992cbd42671ce0be320268f2421f167c05e62074ad538c22efc1f8b2f1a8604550f103bab579f1dc8622a78bda9e1e62826db06ff0dae21fb9dc1c2ee2bc2
 SHA512 
cee592f12a26894dacd6db6f25d4b1b1901579ac5cc7dee2be826aa3697bc2af55e2136ef65acd6dc4c9fac635465fbf8c06ea236651d45a2b5fd963408e6684
 DIST mod_gnutls-0.9.0.tar.bz2 435869 BLAKE2B 
d5c0a1846b083c469cddc0516a81ac8ef85b1b9287ad53312964f7c542ec107689f832db83a11abda178e79a2d6f2177b6093219a94cec9ded6e8eb6cef86796
 SHA512 
12a85a53277401648fd44ade3f27969d023ef46d1b593ed0df4284ea5421d87caedc72262fd6eb54a17f4949cf1551bfaef66f81128a060cc77064cd32d00cd2

diff --git a/www-apache/mod_gnutls/mod_gnutls-0.11.0.ebuild 
b/www-apache/mod_gnutls/mod_gnutls-0.11.0.ebuild
new file mode 100644
index 00000000000..9662e5475d7
--- /dev/null
+++ b/www-apache/mod_gnutls/mod_gnutls-0.11.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# WARNING! Don't switch to EAPI-6 without checking paths of installed files
+# carefully. The .so file might get installed into /
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit autotools apache-module python-any-r1
+
+DESCRIPTION="mod_gnutls uses GnuTLS for SSL/TLS encryption in Apache2 (compare 
to mod_ssl)"
+HOMEPAGE="https://mod.gnutls.org/";
+SRC_URI="https://mod.gnutls.org/downloads/${P}.tar.bz2";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+CDEPEND=">=net-libs/gnutls-3.3.0:=[pkcs11]"
+
+TEST_REQUIRED_APACHE_MODULES="apache2_modules_proxy,apache2_modules_proxy_http"
+
+DEPEND="${CDEPEND}
+       virtual/pkgconfig
+       $(python_gen_any_dep '
+               dev-python/pyyaml[${PYTHON_USEDEP}]
+       ')
+       test? (
+               app-crypt/monkeysphere
+               >=net-libs/gnutls-3.3.0:=[tools]
+               net-misc/curl
+               || (
+                       
www-servers/apache[apache2_mpms_worker,${TEST_REQUIRED_APACHE_MODULES}]
+                       
www-servers/apache[apache2_mpms_prefork,${TEST_REQUIRED_APACHE_MODULES}]
+                       
www-servers/apache[apache2_mpms_event,${TEST_REQUIRED_APACHE_MODULES}]
+               )
+       )"
+
+RDEPEND="${CDEPEND}"
+
+RESTRICT="!test? ( test )"
+
+APACHE2_MOD_CONF="47_${PN}"
+APACHE2_MOD_DEFINE="GNUTLS"
+
+DOCFILES="CHANGELOG NOTICE README"
+
+need_apache2_4
+
+python_check_deps() {
+       has_version "dev-python/pyyaml[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+       _init_apache2
+       _init_apache2_late
+       python-any-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --with-apxs="${APXS}"
+               --disable-strict
+               --disable-doxygen-dot
+               --disable-doxygen-doc
+               --disable-doxygen-html
+               --disable-doxygen-pdf
+               --disable-valgrind-test
+               ac_cv_path_UNSHARE=no
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       emake
+}
+
+src_install() {
+       apache-module_src_install
+}

Reply via email to